--パチュリー・ノーレッジ用ai
--しなうす式/20220710check

require("function_pun_strage.lua")
head_req_list()

function main()
--シード生成、スレッド生成、base_states設定
	set_seedthreadstates()
--キャラ確認
	char_calling()
--ステージが 核融合炉心部 だと超反応モードに
	set_printsabot()

while true do
--スレッド外初期化
	while_top()

--●どちらかが体力無くなったら待機
	if interbattle_condi()==true then
		interbattle_exe()
--▼開幕行動▼
	elseif kaimaku_condi()==true then
		kaimaku_exe()
--▼移動起き上がり
	elseif my_act==97 or my_act==98 then --基本：画面端より遠ざかる。中央では相手から遠ざか…りたいが、設置技警戒のため、相手側に移動起き上がり。
		movedgetup_exe()

--▼簡易受け身▼：攻撃ないし回避いずれの目的であってもリカバリーポイントは限られるが、そういうことはさておき実装したもの
	elseif recovery_condi()==true then
		recovery_exe()

--▼台風になった時、フラグに従って「緋想の剣」を使用
	elseif y==0 and my_act<=10 and card_check(14) and flag_kishitu==1 then
		print("天候フラグＯＮ　⇒　「緋想の剣」使用");
		card_use(14);

--▼台風▼：近接状態からの強引な状況変更を行う行動。スペカなど使用。
	elseif react_rejecttaihu_condi()==true then
		react_rejecttaihu_exe()

--▼起き攻め▼
	elseif setplay_ongetup_condi()==true then
		setplay_ongetup_exe()
--▼ＨＪＣ▼
	--地上HJC
	elseif hjc_ground_condi()==true then
		hjc_ground_exe()
	--空中HJC
	elseif hjc_air_condi()==true then
		hjc_air_exe()

--▼反応行動
--反応：下段
	elseif 	react_lowattack_condi()==true then
		react_lowattack_exe()
--反応：地対空
	elseif react_g2a_condi()==true then
		react_g2a_exe()
--反応：低空飛翔
	elseif react_lowj6d_condi()==true then
		react_lowj6d_exe()
--上空追いかけ
	elseif ueoikake_condi()==true then
		ueoikake_exe()
--霊撃 or 霊撃札
	elseif reigeki_condi()==true then 
		print("拒否行動：霊撃　⇒　可能ならば使用");
		card_use(0)
		
--▼グレイズ：相手行動に対する反射or一定距離内のオブジェクト感知▼
--モーション反応グレイズ
	elseif
	graze_condition_xrange()==true and
	state_nottrueguard()==true and 
	my_airEX>=1 and 
	my_rei>=0 
	then--近距離時のグレイズ。のさばらせておくと、誤結界の原因となる。ガードの硬直間際ならok
		print("check 1 -> graze act X Range");
		graze_action_xrange()
			
--▼ ガード行動：簡易ガードルーチン▼
--▼ ガード反撃、龍魚の羽衣 13
	elseif hagoromo_1st_condi()==true or hagoromo_condi()==true then
		hagoromo_exe()

--回避結界
	elseif kekkai_condi()==true then
		kekkai_exe()

--▼ 宵越しの銭 12
	elseif yoikoshi_1st_condi()==true or yoikoshi_condi()==true then
		yoikoshi_exe()

--▼汎用中下段ガード
--基本は行動に対して後退入れ込み。下段のみ抽出して反応。通常射撃も同じく下段で受ける(けどメンドウだから今回は省き)。フラグを抜けてくるものは別個に対応
	elseif lowattack_aflags_condi()==true then
		guard_backexpectlowattack_exe()
	elseif overheadattack_aflags_condi()==true then
		guard_backoverheadattack_exe()
--下段判定をフィルタ
	elseif lowattack_flaged_condi()==true then
		guard_backexpectlowattack_exe()
--フラグを抜けてくるものをフィルタ
	elseif lowattack_unflaged_condi()==true then
		guard_backexpectlowattack_exe()
--屈状態では低空昇り攻撃には立てない
	elseif notstand_overhead_upjump_condi()==true then
		guard_backexpectlowattack_exe()
--以下、何もフィルタされなかった場合、立ちガード
	elseif guard_pun_condi()==true then
		guard_backoverheadattack_exe()

--[[▼オブジェが至近距離の場合、着地直前にｈｊを仕込む、タッチ＆ゴーグレイズ
	elseif touchandgo_00_condi() then
		touchandgo_00_exe()
--オブジェが至近距離の場合、ガードの前に、離陸
	elseif touchandgo_01_condi() then
		touchandgo_01_exe()
	elseif touchandgo_02_condi() then
		touchandgo_02_exe()
--]]
--オブジェが至近距離の場合、空中から地上へ飛翔　※咲夜：２D：120.0以上、３D：84.9以上必要
	elseif graze_pun_condi()==true then
		graze_pun_exe()
		
--遠距離時のグレイズ
	elseif graze_farground_condi() then
		graze_farground_exe()
	elseif graze_farair_condi() then
		graze_farair_exe()
		
--特定状況におけるガード
	elseif guard_objgimmick_condi()==true then
		guard_backexpectlowattack_exe()
--オブジェが至近距離の場合、ガード:射撃と打撃を重ねられると、しゃがみガードしてしまう。優先順位の変更が必要
	elseif guard_objclosedis_condi()==true then
		guard_backexpectlowattack_exe()
	
--▼起き上がり直後の行動
	elseif move_soonaftergetup_condi()==true then
		move_soonaftergetup_exe()

--▼コンボ▼
--AA>4B>6C>サマー（ワイプ）
--AA
	elseif my_act==300 and ((enemy_act>=50 and enemy_act<=89) or (enemy_act>=143 and enemy_act<=166)) and my_hitstop<=3 and my_hitstop>=2 and is_dir_front==true then
		print("コンボ：A>ＡＡ");
		key_event(ACT_A);
	--AAA
		elseif my_act==320 and ((enemy_act>=50 and enemy_act<=89) or (enemy_act>=143 and enemy_act<=166)) and my_hitstop<=3 and my_hitstop>=2 and is_dir_front==true and my_rei<200 then
			print("コンボ：AA>ＡＡＡ");
			key_event(ACT_A);
	--AA>4B
		elseif my_act==320 and ey==0 and ((enemy_act>=50 and enemy_act<=89) or (enemy_act>=143 and enemy_act<=166)) and my_hitstop<=3 and my_hitstop>=2 and my_allframe>=26 and is_dir_front==true and my_rei>=200 then
			key_resetEX();
			print("AA＞4B");
				key_event2(ACT_B,back);
		--4B>6C
			elseif my_act==407 and ((enemy_act>=50 and enemy_act<=89) or (enemy_act>=143 and enemy_act<=166)) and my_allframe>=16-2 and is_dir_front==true and my_rei>=200 then
				key_resetEX();
				print("4B＞6C");
				key_event2(ACT_C,front);
--AA>2B>6C>J2B>J6C>Jサマー（霊力消費５
	--AA(1)>H6C(対空)
		--AA(1)>H6C(対空)
			elseif my_act==320 and ey>0 and ((enemy_act>=50 and enemy_act<=89) or (enemy_act>=143 and enemy_act<=166)) and my_hitstop<=3 and my_hitstop>=2 and my_allframe>=16 and is_dir_front==true and my_rei>=200 then
				key_resetEX();
				print("AA(1)>H6C(対空)");
					key_on(ACT_C);
					key_on(front);
					wait(13+2);
					key_resetEX();
					yield();
--2A>2B>6C>HJ6C>Jサマー
	--2A>2B
		elseif my_act==303 and ((enemy_act>=50 and enemy_act<=89) or (enemy_act>=143 and enemy_act<=166)) and my_hitstop<=3 and my_hitstop>=2 and is_dir_front==true and my_rei>=200 then
			key_resetEX();
			print("2A＞2B");
				key_event2(ACT_B,ACT_DOWN);
		--2B>6C
			elseif my_act==402 and ((enemy_act>=50 and enemy_act<=89) or (enemy_act>=143 and enemy_act<=166)) and my_allframe>=16-2 and is_dir_front==true and my_rei>=200 then
				key_resetEX();
				print("4B＞6C");
				key_event2(ACT_C,front);
			--6C>9hjc>HJ6C
				elseif my_act==411 and ((enemy_act>=50 and enemy_act<=89)) and my_allframe>=28-2 and is_dir_front==true and my_rei>=200 then
					print("6C＞9hjc");
					key_event2(ACT_D,u_front);
					wait(4);
					if my_act==209 and my_allframe<=2 then
						wait(3-my_allframe);
					end
					print("9hjc＞J6C");
					key_event2(ACT_C,front);
					wait(23-4);
				--HJ6C>サマーレッド
					elseif my_act==415 and ((enemy_act>=50 and enemy_act<=89)) and card_check(100) and ey-y<=-0.8*(ex-x)*my_dir+180 then
						if my_allframe>=23-2 then
							print("攻撃＞スキルカード：サマーレッド");
							card_use(100);
						end
						card_1st(100);
					elseif my_act==415 and ((enemy_act>=50 and enemy_act<=89)) and my_allframe>=23-4 and get_skill_lv(0,0)>=0 and my_rei>=200 and ey-y<=-0.5*(ex-x)*my_dir+180 then
						print("攻撃＞コマンド：Cサマーレッド");
						key_resetEX(); key_on(ACT_D); yield(); key_resetEX();
						lvr236(ACT_C);
					
--J2A(CH)>DB(1HIT)>Bドヨースピア
	elseif my_act==308 and ((enemy_act>=50 and enemy_act<=89)) and get_correction(0,32) then
		key_resetEX();
		key_on(front);
		while (enemy_act==88 or enemy_act==89 and enemy_yspeed>=0) do
			yield();
		end
		key_event2(ACT_D,ACT_B);
	--DB>ドヨースピア
			elseif my_act==408 and ((enemy_act>=50 and enemy_act<=89)) and card_check(104) and my_combo>=2 then 
				if my_hitstop<=3 and my_hitstop>=2 then
					print("攻撃＞スキルカード：ドヨースピア");
					card_use(104);
				end
				card_1st(104);
			elseif my_act==408 and ((enemy_act>=50 and enemy_act<=89)) and get_skill_lv(0,4)>=0 and my_hitstop<=3 and my_hitstop>=2 and my_rei>=200 and my_combo>=2 then  
				print("攻撃＞コマンド：Bドヨースピア");
				key_resetEX(); key_on(ACT_D); yield(); key_resetEX();
				lvr421(ACT_B);
				wait(2);
--J6A>J2B>J6C>Jノエキ
--着地際J6A(1HIT)>DB(1HIT)>B水柱>C
--DB(3)>Cドヨー>J6C>下飛翔>溜遠A
			--ドヨースピア>9hjc>J6C>下飛翔>溜遠A
				elseif my_act>=580 and my_act<=581 and ((enemy_act>=50 and enemy_act<=89)) and my_allframe>=23-2 and my_rei>=200 then
					print("ドヨースピア＞9hjc");
					key_event2(ACT_D,u_front);
					wait(4);
					if my_act==209 and my_allframe<=2 then
						wait(3-my_allframe);
					end
					print("9hjc＞J6C");
					key_event2(ACT_C,front);
					wait(28-0);
					key_event2(ACT_D,ACT_DOWN);
					while (y>0) do
						yield();
					end
					if dis>=120 and not(enemy_act>=97 and enemy_act<=98) and my_limit<100 then--H遠A。ただし、近Aの範囲ではH6Aに切り替え
						key_on(ACT_A);
						wait(11+4);
					elseif dis<120 and not(enemy_act>=97 and enemy_act<=98) and my_limit<100 then
						key_on(ACT_A);
						key_on(front);
						wait(14+4);
					end
--DB>DB(計4HIT)>B水柱

--A>4B
	elseif (my_act==300 or my_act==330) and ((enemy_act>=143 and enemy_act<=145)) and my_hitstop<=3 and my_hitstop>=2 and my_rei>=200 and math.random(16)==1 then
		print("近A or 4A>4B");
		key_event2(ACT_B,back);
--遠A>6C
	elseif my_act==301 and ((enemy_act>=50 and enemy_act<=89)) and my_hitstop<=3 and my_hitstop>=2 and ((my_dir==1 and x>=740)or(my_dir==-1 and x<=540)) and my_rei>=200 then
		key_resetEX();
		print("遠Ａ＞6C");
		key_event2(ACT_C,front);
--遠A>3A
--	elseif my_act==301 and ((enemy_act>=50 and enemy_act<=89) or (enemy_act>=143 and enemy_act<=166)) and my_hitstop<=3 and my_hitstop>=2 and is_dir_front==true then
--		key_resetEX();
--		print("遠Ａ＞３Ａ");
--		key_event2(ACT_A,d_front);
--3A>C
	elseif (my_act==302 or my_act==304) and 
	(
	(enemy_act>=50 and enemy_act<=89 and weather==18) or 
	(enemy_act>=50 and enemy_act<=89 and my_correction>=32 and ((my_dir==1 and x>=880)or(my_dir==-1 and x<=400))) or
	(enemy_act>=150 and enemy_act<=166)
	) and 
	my_hitstop<=3 and my_hitstop>=1 and is_dir_front==true then
		print("３Ａ＞Ｃ");
		key_event(ACT_C);
--JC>J66>JA
	elseif my_act==414 and my_frame+1>=20 and ((enemy_act>=50 and enemy_act<=89) or (enemy_act>=143 and enemy_act<=166)) and my_limit<100 and (my_air<=1 or (my_air<=2 and weather==10)) then
		key_resetEX();
		print("JC＞Ｊ66");
		lvr66();
	elseif my_act==202 and my_allframe>=0 and ((enemy_act>=50 and enemy_act<=89) or (enemy_act>=143 and enemy_act<=166)) and my_limit<100 and (my_air<=1 or (my_air<=2 and weather==10)) then
		key_resetEX();
		print("J66>JA");
		key_event(ACT_A);
	
--JA>J8A>JC
	elseif my_act==306 and ey>=y and ey>0 and ((enemy_act>=50 and enemy_act<=89) or (enemy_act>=143 and enemy_act<=166)) and my_hitstop<=3 and my_hitstop>=2 and is_dir_front==true then
		key_resetEX();
		if my_hitstop>=1 then
			wait(my_hitstop);
		end
		print("ＪＡ＞Ｊ８Ａ"); --空中のみ
		key_event2(ACT_A,ACT_UP);
	elseif my_act==309 and ((enemy_act>=50 and enemy_act<=89) or (enemy_act>=143 and enemy_act<=166)) and my_hitstop<=3 and my_hitstop>=2 and is_dir_front==true then
		key_resetEX();
		if my_hitstop>=1 then
			wait(my_hitstop);
		end
		print("Ｊ8Ａ＞ＪＣ");
		key_event(ACT_C);
--JA>J6A>JC or J6B or J6C
	elseif my_act==306 and ey<=y and ey>0 and ((enemy_act>=50 and enemy_act<=89) or (enemy_act>=143 and enemy_act<=166)) and my_hitstop<=3 and my_hitstop>=2 and is_dir_front==true then
		key_resetEX();
		print("ＪＡ＞Ｊ６Ａ"); --空中のみ
		key_event2(ACT_A,front);
		elseif my_act==308 and ((my_dir==1 and x>=880)or(my_dir==-1 and x<=400)) and ((enemy_act>=50 and enemy_act<=89) or (enemy_act>=143 and enemy_act<=166)) and my_hitstop<=3 and my_hitstop>=2 and is_dir_front==true then
			key_resetEX();
			if my_hitstop>=1 then
				wait(my_hitstop+5);
			end
			print("Ｊ8Ａ＞ＪＣ");
			key_event(ACT_C);
		elseif my_act==308 and ((my_dir==1 and x>=580)or(my_dir==-1 and x<=700)) and ((enemy_act>=50 and enemy_act<=89) or (enemy_act>=143 and enemy_act<=166)) and my_hitstop<=3 and my_hitstop>=2 and is_dir_front==true then
			key_resetEX();
			print("Ｊ8Ａ＞Ｊ6B");
			key_event2(ACT_C,front);
		elseif my_act==308 and ((my_dir==1 and x>=80)or(my_dir==-1 and x<=1200)) and ((enemy_act>=50 and enemy_act<=89) or (enemy_act>=143 and enemy_act<=166)) and my_hitstop<=3 and my_hitstop>=2 and is_dir_front==true then
			key_resetEX();
			print("Ｊ8Ａ＞Ｊ6C");
			key_event2(ACT_C,front);
--JA>JC
	elseif my_act==306 and  y+my_yspeed/5*17>=1 and
	((enemy_act>=50 and enemy_act<=89) or (enemy_act>=143 and enemy_act<=145)) and my_hitstop<=3 and my_hitstop>=2 and is_dir_front==true then
		key_resetEX();
		print("ＪＡ＞ＪＣ");
		key_event(ACT_C);
--J6A>234B
	elseif my_act==307 and ((enemy_act>=50 and enemy_act<=89) or (enemy_act>=143 and enemy_act<=166)) and my_hitstop<=3 and my_hitstop>=2 and is_dir_front==true then
		key_resetEX();
		print("Ｊ６Ａ＞コマンド：２３６B");
		lvr236(ACT_B);
--J2A>214コマンド
	elseif my_act==308 and ((enemy_act>=50 and enemy_act<=89) or (enemy_act>=143 and enemy_act<=166)) and my_hitstop<=3 and my_hitstop>=2 and my_allframe>=24 and is_dir_front==true then
		key_resetEX();
		print("Ｊ２Ａ＞２１４スキル");
		lvr214(ACT_C);
		
--AAA>C>スキル
--AAA>C
	elseif my_act==321 and ((enemy_act>=50 and enemy_act<=89) or (enemy_act>=143 and enemy_act<=145)) and my_hitstop<=3 and my_hitstop>=2 and is_dir_front==true then
		print("AAA>C");
		if math.random(2)==1 then
			wait(4);
			if enemy_act>=220 and enemy_act<=226 then
				key_event(ACT_A);
			else
				key_event2(ACT_A,d_front);
			end
		elseif math.random(2)==2 then
			key_event(ACT_C);
			wait(2);
		end
	--C>スキル
		
--J6A or J2A > C
	elseif (my_act==307 or my_act==308 or my_act==309) and enemy_act>=143 and enemy_act<=166 and my_hitstop<=3 and my_hitstop>=2 and is_dir_front==true and ((my_yspeed*1/5*20>=1 and my_yspeed*1/5*30<=0)or(my_air<=1 or (my_air<=2 and weather==10))) then
			print("〜>C");
			key_event(ACT_C);
	
		
				  
--▼固め▼
--AAA or 3A >C>9hj>J2A>JC>66>JA>AAA (以下ループ)
--AAA>C
	elseif my_act==321 and (enemy_act>=150 and enemy_act<=166) and my_hitstop<=3 and my_hitstop>=2 then
		print("AAA>C");
		key_resetEX();
		key_event(ACT_C);
--3A>C
	elseif my_act==304 and (enemy_act>=150 and enemy_act<=166) and my_hitstop<=3 and my_hitstop>=2 then
		print("3A>C");
		key_resetEX();
		key_event(ACT_C);
	--6C>9hj
		elseif my_act==411 and (enemy_act>=143 and enemy_act<=166) and my_allframe>=28-2 and ((my_dir==1 and x>=880) or (my_dir==-1 and x<=400)) then
			print("C>9hj");
			key_resetEX();
			key_on(u_back);
		--9hj>J４B
			elseif my_act==208 and dis<=300 and (enemy_act>=143 and enemy_act<=166) and my_allframe>=4 and ((my_dir==1 and x>=880) or (my_dir==-1 and x<=400)) then
				print("9hj>J4B");
				key_resetEX();
				key_event2(ACT_B,back);
			--J4B>J66
				elseif my_act==409 and (enemy_act>=143 and enemy_act<=166) and my_allframe>=26-4 and ((my_dir==1 and x>=880) or (my_dir==-1 and x<=400)) then
					print("C>9hj");
					key_resetEX();
					lvr66();
					yield();
				--J66>JA
					elseif my_act==202 and dis<=300 and ((enemy_act>=50 and enemy_act<=89) or (enemy_act>=143 and enemy_act<=166)) and my_allframe>=12-2 and ((my_dir==1 and x>=880) or (my_dir==-1 and x<=400)) then
						print("J66>JA");
						key_resetEX();
						key_event(ACT_A);
			--J2A>C
				elseif my_act==308 and (enemy_act>=150 and enemy_act<=166) and my_hitstop<=3 and my_hitstop>=2 then
					print("J2A>J4B");
					key_resetEX();
					key_event2(ACT_B,back);
		--[[9hj>J6A
			elseif my_act==209 and 
				(ex-x)*my_dir-(my_xspeedEX/5*15+enemy_xspeedEX*15)		<=	220+30 	and
				(ey+enemy_yspeed*5+(5*(4*e_gs))/2)	-	(y+my_yspeed/5*15)	<=	140 and (enemy_act>=143 and enemy_act<=166) and my_allframe>=6 then
				print("9hj>J6A");
				key_resetEX();
				key_event2(ACT_A,front);
			--J6A>C
				elseif my_act==307 and (enemy_act>=150 and enemy_act<=166) and my_hitstop<=3 and my_hitstop>=2 then
					print("J6A>C");
					key_resetEX();
					key_event(ACT_C);--]]
				--C>J66
					elseif my_act==414 and (enemy_act>=150 and enemy_act<=166) and my_allframe>=25 then
						print("C>9hj");
						key_resetEX();
						lvr66();
						wait(2)
					--J66>JA
						elseif my_act==202 and (enemy_act>=150 and enemy_act<=166) and my_allframe>=4 then
							print("9hj>J2A");
							key_resetEX();
							key_event(ACT_A);
						--JA>着地
							elseif my_act==306 and (enemy_preact[1]==202 or enemy_preact[1]==214) and y<=150 and ((enemy_act>=50 and enemy_act<=89) or (enemy_act>=143 and enemy_act<=145)) and my_hitstop>=1 then
								wait(my_hitstop+2);
								print("飛翔・空中ダッシュ>JA>着地");
								key_resetEX();
								if y/my_yspeed>=1 then
									wait(y/my_yspeed);
								end
	--DB>ウィンターエレメント
			elseif my_act==408 and ((enemy_act>=143 and enemy_act<=166)) and card_check(101) then 
				if my_hitstop<=3 and my_hitstop>=2 and math.random(2)==1 then
					print("攻撃＞スキルカード：ウィンターエレメント");
					card_use(101);
				end
				card_1st(101);
			elseif my_act==408 and ((enemy_act>=143 and enemy_act<=166)) and get_skill_lv(0,1)>=0 and my_hitstop<=3 and my_hitstop>=2 and my_rei>=600 and math.random(2)==1 then
				print("攻撃＞コマンド：Bウィンターエレメント");
				key_resetEX(); key_on(ACT_D); yield(); key_resetEX();
				lvr22(ACT_B);
				wait(2);
	--DB>ドヨースピア
			elseif my_act==408 and ((enemy_act>=143 and enemy_act<=166)) and card_check(104) then 
				if my_hitstop<=3 and my_hitstop>=2 and math.random(2)==1 then
					print("攻撃＞スキルカード：ドヨースピア");
					card_use(104);
				end
				card_1st(104);
			elseif my_act==408 and ((enemy_act>=143 and enemy_act<=166)) and get_skill_lv(0,4)>=0 and my_hitstop<=3 and my_hitstop>=2 and my_rei>=600 and math.random(2)==1 then
				print("攻撃＞コマンド：Bドヨースピア");
				lvr421(ACT_B);
				wait(2);
								

--▼固め▼

--▼攻撃▼

--▼spell card▼

--▼cost2

--	土水符「ノエキアンデリュージュ」
	--Ground
	--Air
	elseif card_check(201)==true and
		my_spell_more(1000) and
		enemy_rei<=800 and
		dis<360 and
		dis_y<60 and
		--y==0 and
		--ey<120 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
			print("土水符「ノエキアンデリュージュ」");
			for i=1,10 do
				card_use(201);
				yield()
			end

--金木符「エレメンタルハーベスター」
	--Ground
	elseif card_check(202)==true and
		my_spell_more(1000) and
		enemy_rei<=800 and
		dis<120 and
		y==0 and
		ey<100 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(8)==1 then
			print("金木符「エレメンタルハーベスター」");
			for i=1,10 do
				card_use(202);
				yield()
			end

--▼cost3

--火金符「セントエルモピラー」
	--Ground
	elseif card_check(200)==true and
		my_spell_more(1500) and
		enemy_rei<=800 and
		dis<360 and
		y==0 and
		ey<100 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
			print("火金符「セントエルモピラー」");
			for i=1,10 do
				card_use(200);
				yield()
			end

--水符「ジェリーフィッシュプリンセス」
	--Ground
	elseif card_check(206)==true and
		my_spell_more(1500) and
		enemy_rei<=800 and
		dis2>360 and
		y==0 and
		--ey<120 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		--is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
			print("水符「ジェリーフィッシュプリンセス」");
			for i=1,10 do
				card_use(206);
				yield()
			end

--月木符「サテライトヒマワリ」
	--Ground
	elseif card_check(207)==true and
		my_spell_more(1500) and
		enemy_rei<=800 and
		my_frontside>=420 and
		my_backside>=420 and
		dis2>360 and
		y==0 and
		--ey<100 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		--is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
			print("月木符「サテライトヒマワリ」");
			for i=1,10 do
				card_use(207);
				yield()
			end

--日木符「フォトシンセシス」
	--Ground
	elseif card_check(210)==true and
		my_spell_more(1500) and
		enemy_rei<=800 and
		dis2>360 and
		y==0 and
		--ey<100 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		--is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
			print("日木符「フォトシンセシス」");
			for i=1,10 do
				card_use(210);
				yield()
			end

--火水符「フロギスティックピラー」
	--Ground
	--Air
	elseif card_check(211)==true and
		my_spell_more(1500) and
		enemy_rei<=800 and
		dis<640 and
		dis>320 and
		my_frontside>=640 and
		--y==0 and
		--ey>180 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
			print("火水符「フロギスティックピラー」");
			for i=1,10 do
				card_use(211);
				yield()
			end

--▼cost4

--月符「サイレントセレナ」
	--Ground
	elseif card_check(204)==true and
		my_spell_more(2000) and
		enemy_rei<=800 and
		dis<120 and
		y==0 and
		ey<100 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(8)==1 then
			print("月符「サイレントセレナ」");
			for i=1,10 do
				card_use(204);
				yield()
			end

--土金符「エメラルドメガロポリス」
	--Ground
	elseif card_check(212)==true and
		my_spell_more(2000) and
		enemy_rei<=800 and
		dis<360 and
		dis>180 and
		my_frontside>=640 and
		y==0 and
		ey<180 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
			print("土金符「エメラルドメガロポリス」");
			for i=1,10 do
				card_use(212);
				yield()
			end

--▼cost5

--日符「ロイヤルフレア」
	--Ground
	elseif card_check(203)==true and
		my_spell_more(2500) and
		enemy_rei<=500 and
		not(enemy_act>=50 and enemy_act<=99) and
		dis2>320 and
		y==0 and
		ey>120 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(2)==1 then
			print("日符「ロイヤルフレア」");
			for i=1,10 do
				card_use(203);
				yield()
			end

--火水木金土符「賢者の石」
	--Ground
	elseif card_check(205)==true and
		my_spell_more(2500) and
		enemy_rei<=800 and
		dis>360 and
		y==0 and
		--ey<100 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
			print("火水木金土符「賢者の石」");
			for i=1,10 do
				card_use(205);
				yield()
			end

--日月符「ロイヤルダイアモンドリング」
	--Ground
	elseif card_check(213)==true and
		my_spell_more(2500) and
		enemy_rei<=800 and
		dis>360 and
		y==0 and
		--ey<100 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
			print("日月符「ロイヤルダイアモンドリング」");
			for i=1,10 do
				card_use(213);
				yield()
			end

--[[
--▼skill card▼

--▼スキル236
		
--サマーレッド100
	elseif get_skill_lv(0,0)>=0 and 
		my_rei>=400 and
		dis>320 and
		dis_y<60 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
			print("サマーレッド");
			lvr236(ACT_B);
			
	elseif get_skill_lv(0,0)>=0 and 
		my_rei>=400 and
		dis>320 and
		dis_y<60 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
			print("サマーレッド");
			lvr236(ACT_C);

	elseif get_skill_lv(0,0)>=0 and 
		my_rei>=400 and
		ey-y>=-0.5*(ex-x)*my_dir-50 and 
		ey-y<=-0.5*(ex-x)*my_dir+100 and
		y>0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
			print("サマーレッド");
			lvr236(ACT_B);
			
	elseif get_skill_lv(0,0)>=0 and 
		my_rei>=400 and
		ey-y>=-0.5*(ex-x)*my_dir-50 and 
		ey-y<=-0.5*(ex-x)*my_dir+100 and
		y>0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
			print("サマーレッド");
			lvr236(ACT_C);
			
	elseif card_check(100)==true and 
		my_rei>=400 and
		dis>320 and
		dis_y<60 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
			print("サマーレッド");
			card_use(100);
			
	elseif card_check(100)==true and 
		my_rei>=400 and
		ey-y>=-0.5*(ex-x)*my_dir-50 and 
		ey-y<=-0.5*(ex-x)*my_dir+100 and
		y>0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
			print("サマーレッド");
			card_use(100);
			
--サマーフレイム105
	elseif get_skill_lv(0,5)>=0 and 
		my_rei>=400 and
		dis<450 and
		dis_y<60 and
		--y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
			print("サマーフレイム");
			lvr236h(ACT_B);
			wait(math.random(30))
			
	elseif get_skill_lv(0,5)>=0 and 
		my_rei>=400 and
		ey-y>0.5*(ex-x)*my_dir and
		ey-y<1*(ex-x)*my_dir+120 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
			print("サマーフレイム");
			lvr236h(ACT_C);
			wait(math.random(30))
			
	elseif get_skill_lv(0,5)>=0 and 
		my_rei>=400 and
		ey-y<-0.5*(ex-x)*my_dir+120 and
		ey-y>-1*(ex-x)*my_dir and
		y>0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
			print("サマーフレイム");
			lvr236h(ACT_C);
			wait(math.random(20))
			
	elseif card_check(105)==true and 
		my_rei>=400 and
		dis<450 and
		dis_y<60 and
		--y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
			print("サマーフレイム");
			card_use(105);
			
--ワイプモイスチャー110
	elseif get_skill_lv(0,10)>=0 and 
		my_rei>=400 and
		dis<210 and
		y==0 and
		ey<100 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
			print("ワイプモイスチャー");
			lvr236(ACT_B);
			
	elseif get_skill_lv(0,10)>=0 and 
		my_rei>=400 and
		dis<210 and
		y==0 and
		ey<100 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
			print("ワイプモイスチャー");
			lvr236(ACT_C);
			
	elseif card_check(110)==true and 
		my_rei>=400 and
		dis<210 and
		y==0 and
		ey<100 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
			print("ワイプモイスチャー");
			card_use(110);
			
--▼スキル623

--スプリングウィンド102
	elseif get_skill_lv(0,2)>=0 and
		my_rei>=400 and
		dis<180 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("スプリングウィンド");
			lvr623(ACT_B);
			
	elseif get_skill_lv(0,2)>=0 and
		my_rei>=400 and
		dis<180 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		--enemy_obj_range_in(150,60)==false) and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("スプリングウィンド");
			lvr623(ACT_C);
			
	elseif card_check(102)==true and
		my_rei>=400 and
		dis<180 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("スプリングウィンド");
			card_use(102);
			
--フラッシュオブスプリング
	elseif get_skill_lv(0,7)>=0 and
		my_rei>=400 and
		dis>360 and
		dis_y<60 and
		--y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("フラッシュオブスプリング");
			lvr623(ACT_B);
			
	elseif get_skill_lv(0,7)>=0 and
		my_rei>=400 and
		dis>360 and
		dis_y<60 and
		--y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("フラッシュオブスプリング");
			lvr623(ACT_C);
			
	elseif card_check(107)==true and
		my_rei>=400 and
		dis_y<60 and 
		dis>360 and
		--y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("フラッシュオブスプリング");
			card_use(107);
			
--スタティックグリーン
	elseif get_skill_lv(0,12)>=0 and get_special_data(0,24)<1 and 
		my_rei>=400 and
		dis<180 and
		--y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("スタティックグリーン");
			lvr623(ACT_B);
			
	elseif get_skill_lv(0,12)>=0 and get_special_data(0,24)<1 and 
		my_rei>=400 and
		dis<180 and
		--y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("スタティックグリーン");
			lvr623(ACT_C);
			
	elseif card_check(112)==true and get_special_data(0,24)<1 and 
		my_rei>=400 and
		dis<180 and
		--y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("スタティックグリーン");
			card_use(112);

--▼スキル22

--ウィンターエレメント101
	elseif get_skill_lv(0,1)>=0 and 
		my_rei>=400 and
		dis<640 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(640)==1 then
			print("ウィンターエレメント");
			lvr22(ACT_B);
			
	elseif get_skill_lv(0,1)>=0 and 
		my_rei>=400 and
		dis>640 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(640)==1 then
			print("ウィンターエレメント");
			lvr22(ACT_C);
			
	elseif card_check(101)==true and 
		my_rei>=400 and
		dis<640 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("ウィンターエレメント");
			card_use(101);
			
--コンデンスドバブル
	elseif get_skill_lv(0,6)>=0 and 
		my_rei>=400 and
		dis>180 and
		--y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("コンデンスドバブル");
			lvr22(ACT_B);
			
	elseif get_skill_lv(0,6)>=0 and 
		my_rei>=400 and
		dis>180 and
		--y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("コンデンスドバブル");
			lvr22(ACT_C);
			
	elseif card_check(106)==true and 
		my_rei>=400 and
		dis>180 and
		--y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("コンデンスドバブル");
			card_use(106);
			
--スティッキーバブル
	elseif get_skill_lv(0,11)>=0 and 
		my_rei>=400 and
		dis>120 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("スティッキーバブル");
			lvr22(ACT_B);
			
	elseif get_skill_lv(0,11)>=0 and 
		my_rei>=400 and
		dis>120 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("スティッキーバブル");
			lvr22(ACT_C);
			
	elseif card_check(111)==true and 
		my_rei>=400 and
		dis>120 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("スティッキーバブル");
			card_use(111);

--▼スキル214

--オータムエッジ103
	elseif get_skill_lv(0,3)>=0 and
		my_rei>=400 and
		dis>360 and
		--y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("オータムエッジ");
			lvr214(ACT_B);
			
	elseif get_skill_lv(0,3)>=0 and
		my_rei>=400 and
		dis>360 and
		--y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("オータムエッジ");
			lvr214(ACT_C);
			
	elseif card_check(103)==true and
		my_rei>=400 and
		dis>360 and
		--y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("オータムエッジ");
			card_use(103);
			
--オータムブレード108
	elseif get_skill_lv(0,8)>=0 and
		my_rei>=400 and
		dis<240 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("オータムブレード");
			lvr214(ACT_B);
			
	elseif get_skill_lv(0,8)>=0 and
		my_rei>=400 and
		dis<240 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("オータムブレード");
			lvr214(ACT_C);
			
	elseif card_check(108)==true and
		my_rei>=400 and
		dis<240 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("オータムブレード");
			card_use(108);
			
--フォールスラッシャー113
	elseif get_skill_lv(0,13)>=0 and
		my_rei>=400 and
		dis>360 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(1600)==1 then
			print("フォールスラッシャー");
			lvr214(ACT_B);
			
	elseif get_skill_lv(0,13)>=0 and
		my_rei>=400 and
		dis>360 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(1600)==1 then
			print("フォールスラッシャー");
			lvr214(ACT_C);
			
	elseif card_check(113)==true and
		my_rei>=400 and
		dis>360 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("フォールスラッシャー");
			card_use(113);
			
--▼スキル421
	
--ドヨースピア104
	elseif get_skill_lv(0,4)>=0 and
		my_rei>=400 and
		dis>180 and
		dis<300 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("ドヨースピア");
			lvr421(ACT_B);
			
	elseif get_skill_lv(0,4)>=0 and
		my_rei>=400 and
		dis>500 and
		dis<700 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("ドヨースピア");
			lvr421(ACT_C);
			
	elseif card_check(104)==true and
		my_rei>=400 and
		dis>180 and
		dis<300 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("ドヨースピア");
			card_use(104);
			
--エメラルドシティ109
	elseif get_skill_lv(0,9)>=0 and
		my_rei>=400 and
		dis<240 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("エメラルドシティ");
			lvr421(ACT_B);
			
	elseif get_skill_lv(0,9)>=0 and
		my_rei>=400 and
		dis<240 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("エメラルドシティ");
			lvr421(ACT_C);
			
	elseif card_check(109)==true and
		my_rei>=400 and
		dis<240 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("エメラルドシティ");
			card_use(109);
			
--ダイアモンドハードネス114
	elseif get_skill_lv(0,14)>=0 and
		my_rei>=400 and
		dis>420 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(1600)==1 then
			print("ダイアモンドハードネス");
			lvr421(ACT_B);
			
	elseif get_skill_lv(0,14)>=0 and
		my_rei>=400 and
		dis>420 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(1600)==1 then
			print("ダイアモンドハードネス");
			lvr421(ACT_C);
			
	elseif card_check(114)==true and
		my_rei>=400 and
		dis>420 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("ダイアモンドハードネス");
			card_use(114);

--▼空中打撃▼
--ＪＡ
	elseif	y>0 and
	not(my_act>=50 and my_act<180) and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and 
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(2)==1 and
	(y+my_yspeed*20+(20*(19*m_gs))/2)>0 	and
				(ex-x)*my_dir-(my_xspeedEX+enemy_xspeedEX)*20		<=	100+30 	and
				--(ex-x)*my_dir-(my_xspeedEX+enemy_xspeedEX)*20		>=	10-30 	and
				(ey+enemy_yspeed*20+(20*(19*e_gs))/2)	-	(y+my_yspeed*20+(20*(19*m_gs))/2)	<=	140		and
				(ey+enemy_yspeed*20+(20*(19*e_gs))/2)	-	(y+my_yspeed*20+(20*(19*m_gs))/2)	>=	60-180 	then
					print("JA");
					key_resetEX();
					key_event(ACT_A);
--Ｊ２Ａ
	elseif	y>0 and
	not(my_act>=50 and my_act<180) and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and 
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(4)==1 and
	(y+enemy_yspeed*22+(22*(21*m_gs))/2)>0 	and
				(ex-x)*my_dir-(my_xspeedEX*22+enemy_xspeed*22)		<=	120+30 	and
				(ex-x)*my_dir-(my_xspeedEX*22+enemy_xspeed*22)		>=	-20-30 	and
				(ey+enemy_yspeed*22+(22*(21*e_gs))/2)	-	(y+enemy_yspeed*22+(22*(21*m_gs))/2)	<=	120 			and
				(ey+enemy_yspeed*22+(22*(21*e_gs))/2)	-	(y+enemy_yspeed*22+(22*(21*m_gs))/2)	>=	0-180 	then
					print("J2A");
					key_resetEX();
					key_event2(ACT_A,ACT_DOWN);
--Ｊ６Ａ
	elseif	y>0 and
	not(my_act>=50 and my_act<180) and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and 
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(16)==1 and
	--(y+my_yspeed/5*15)>0 	and
				(ex-x)*my_dir-(my_xspeedEX/5*20+enemy_xspeedEX*20)		<=	340+30 	and
				(ex-x)*my_dir-(my_xspeedEX/5*20+enemy_xspeedEX*20)		>=	60-30 	and
				(ey+enemy_yspeed*20+(20*(19*e_gs))/2)	-	(y+my_yspeed/5*20)	<=	140 		and
				(ey+enemy_yspeed*20+(20*(19*e_gs))/2)	-	(y+my_yspeed/5*20)	>=	80-180 	then
					print("J6A");
					key_resetEX();
					key_event2(ACT_A,front);
--Ｊ８Ａ
	elseif	y>0 and
	not(my_act>=50 and my_act<180) and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and 
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(8)==1 and
	(y+enemy_yspeed*14+(14*(13*m_gs))/2)>0 	and
				(ex-x)*my_dir-(my_xspeedEX/5*14+enemy_xspeedEX*14)		<=	80+30 	and
				(ex-x)*my_dir-(my_xspeedEX/5*14+enemy_xspeedEX*14)		>=	80-30 	and
				(ey+enemy_yspeed*14+(14*(13*e_gs))/2)	-	(y+enemy_yspeed*14+(14*(13*m_gs))/2)	<=	280 		and
				(ey+enemy_yspeed*14+(14*(13*e_gs))/2)	-	(y+enemy_yspeed*14+(14*(13*m_gs))/2)	>=	180-180 	then
					print("J8A");
					key_resetEX();
					key_event2(ACT_A,ACT_UP);

--対空Ａ
	elseif y==0 and 
	ey>0 and 
	not(my_act>=50 and my_act<180) and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and 
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(4)==1 and
		(	
			(	dis>=120 and
				(ex-x)*my_dir-(my_xspeedEX+enemy_xspeedEX)*19		<=	180+30 	and
				(ex-x)*my_dir-(my_xspeedEX+enemy_xspeedEX)*19		>=	50-30 	and
				(ey+enemy_yspeed*19+(19*(18*e_gs))/2)	-	(y+my_yspeed*19+(19*(18*m_gs))/2)	<=	150 		and
				(ey+enemy_yspeed*19+(19*(18*e_gs))/2)	-	(y+my_yspeed*19+(19*(18*m_gs))/2)	>=	50-180
			) or
			(	dis<120 and
				(ex-x)*my_dir-(my_xspeedEX+enemy_xspeedEX)*11		<=	80+30 	and
				(ex-x)*my_dir-(my_xspeedEX+enemy_xspeedEX)*11		>=	20-30 	and
				(ey+enemy_yspeed*11+(11*(10*e_gs))/2)	-	(y+my_yspeed*11+(11*(10*m_gs))/2)	<=	180 		and
				(ey+enemy_yspeed*11+(11*(10*e_gs))/2)	-	(y+my_yspeed*11+(11*(10*m_gs))/2)	>=	60-180
			)
		) then
		print("対空Ａ");
		key_event(ACT_A);
--対空9HJ>JＡ:14F それなりに機能する。対地上りJAも兼ねる。
	elseif y==0 and 
	not(my_act>=50 and my_act<180) and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and 
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(4)==1 and
				(ex-x)*my_dir-(my_xspeedEX+enemy_xspeedEX)*15		<=	170+30 	and
				--(ex-x)*my_dir-(my_xspeedEX+enemy_xspeedEX)*15		>=	80-30 	and
				(ey+enemy_yspeed*15+(15*(14*e_gs))/2)	-	(y+my_yspeed*15+(15*(14*m_gs))/2)	<=	150 		and
				(ey+enemy_yspeed*15+(15*(14*e_gs))/2)	-	(y+my_yspeed*15+(15*(14*m_gs))/2)	>=	110-120 	then
					print("対空9HJ>JＡ");
					key_event2(ACT_D,u_front)
					key_reset()
					wait(2)
					key_event(ACT_A);--]]
--対空8HJ>JＡ:14F
	elseif y==0 and 
	not(my_act>=50 and my_act<180) and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and 
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(4)==1 and
				(ex-x)*my_dir-(my_xspeedEX+enemy_xspeedEX)*15		<=	50+30 	and
				--(ex-x)*my_dir-(my_xspeedEX+enemy_xspeedEX)*15		>=	-40-30 	and
				(ey+enemy_yspeed*15+(15*(14*e_gs))/2)	-	(y+my_yspeed*15+(15*(14*m_gs))/2)	<=	181 		and
				(ey+enemy_yspeed*15+(15*(14*e_gs))/2)	-	(y+my_yspeed*15+(15*(14*m_gs))/2)	>=	121-120 	then
					print("対空8HJ>JＡ");
					key_event2(ACT_D,ACT_UP)
					key_reset()
					wait(2)
					key_event(ACT_A);--]]
--ダッシュ＞4Ａ
	elseif my_act==200 and my_frame>=10 and my_act_block==0 and
	dis<=150 and 
	ey==0 and 
	not(my_act>=50 and my_act<180) and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and 
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(4)==1 then
		print("ダッシュ4Ａ");
		key_event2(ACT_A,back);
--S5A:110x130,9-12,0
--4A:
--L5A:210x115,17-19,
--L5AHr:270x115,32-34,(11f)
--2A:25-70x150,10-11,
--6A:140x160,18-25,
--6AHr:140x160,33-40,(14f)
--3A:35x110,16-31,
--3AHr:125x40,31-55,(13f)
--J5A:45-85x30-70,12-35,
--J6A:270x60-120,18-38,
--J2A:-15-115x-55-45,20-25,
--J2AHr:-40-190x-100-80,35-40,(20f)
--J8A:-80-160x180-280,12-42,
--DA:140-45,19-22,
--DB:200x220,12-29,
--DC:210x120,13-25,
--5B:,14/17/20,14/23
--5BHr:,29/32/35/38/41,29/41,(11f)
--2B:,13/16/19,13/22
--2BHr:,28/31/34/37/40,28/40,(10f)
--6B:,16/19/22,16/25
--6BHr:,
--4B:,
--4BHr:,
--5C:,
--6C:,
--6CHr:,
--2C:,
--J5B:,
--J5BHr:,
--J2B:,
--J2BHr:,
--J4B:,
--J4BHr:,
--J5C:,
--J6C:,
--J6CHr:,
--J2C:,




--Ａ
	elseif dis<=120 and y==0 and ey==0 and 
	not(my_act>=50 and my_act<180) and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and 
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(4)==1 then
		print("Ａ");
		key_event(ACT_A);
--2Ａ
	elseif dis<=150 and y==0 and ey==0 and 
	not(my_act>=50 and my_act<180) and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and 
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(4)==1 then
		print("2Ａ");
		key_event2(ACT_A,ACT_DOWN);
--ＤB
	elseif dis<=400 and dis>=250 and y==0 and ey==0 and 
	not(my_act>=50 and my_act<180) and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and 
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(32)==1 then
		print("ＤB");
		key_on(frontEX());
		key_event2(ACT_D,ACT_B);
--6C:硬直差し込み
	elseif dis<=500 and ey-y<=0.4*(ex-x)*my_dir+120 and ey-y>=-0.4*(ex-x)*my_dir and 
	not(my_act>=50 and my_act<180) and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and 
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
		print("硬直差し込み：6C");
		key_event2(ACT_C,front);
--５Ｂ
	elseif dis>300 and my_airEX>=1 and 
	not(my_act>=50 and my_act<180) and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and 
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
		print("５Ｂ");
		key_event(ACT_B);
--6Ｂ
	elseif dis>400 and y==0 and my_airEX>=1 and 
	ey-y>=0.5*(ex-x)*my_dir and 
	not(my_act>=50 and my_act<180) and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and 
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
		print("６Ｂ");
		key_event2(ACT_B,front);
--J6Ｂ
	elseif dis>400 and y>0 and my_airEX>=1 and 
	ey-y<=-0.5*(ex-x)*my_dir and 
	not(my_act>=50 and my_act<180) and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and 
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
		print("６Ｂ");
		key_event2(ACT_B,front);
--４B：空中、対空含む
	elseif dis2<350 and my_airEX>=1 and 
	not(my_act>=50 and my_act<180) and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and 
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
		print("条件範囲内：C");
		key_event2(ACT_B,back);
--C：空中、対空含む
	elseif dis2<300 and my_airEX>=1 and 
	not(my_act>=50 and my_act<180) and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and 
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
		print("条件範囲内：C");
		key_event(ACT_C);
--6C：空中含む
	elseif dis>400 and ey-y<=0.5*(ex-x)*my_dir and ey-y>=-0.5*(ex-x)*my_dir and my_airEX>=1 and 
	not(my_act>=50 and my_act<180) and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and 
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
		print("距離４００以上：６C");
		key_event2(ACT_C,front);
--]]
--中距離以上からの８ｈｊ
	elseif move_8hjattakeovermidrange_condi()==true then
		print("中距離以上で８ＨＪ");
		key_event2(ACT_D,ACT_UP);
--中距離からのダッシュ
	elseif move_6dattakeovermidrange_condi()==true then
		print("ダッシュ接近");
		key_event2(ACT_D,front);
--低空飛翔で接近
	elseif move_approachbylowflaying_condi()==true then
		move_approachbylowflaying_exe()
--８８３飛翔
	elseif move_approachby883d_condi()==true then
		move_approachby883d_exe()
--▼ 終端運動
--▼ 相手上空へ飛び上がった際の処理
	elseif move_attakeoverhead_condi()==true then
		move_attakeoverhead_exe()
--▼ 終端機動
	--▼ 対台風時
	elseif move_terminationtaihu_condi()==true then
		move_terminationtaihu_exe()
	--▼ 終端機動1
	--台風じゃない時だが…
	elseif move_termination1_condi()==true then
		move_termination1_exe()
	--▼ 終端機動2
	--ただ動く事で自律性を錯覚させる事が目的の機動。静止やラインの設定に大きな根拠はない。
	--霊力が一定の評価を下回った場合、実行しない。
	elseif move_termination2_condi()==true then
		move_termination2_exe()
	end
	
	yield()
end
end